petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscMatlabEngineEvaluate

Evaluates a string in MATLAB

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineEvaluate(PetscMatlabEngine mengine,const char string[],...)

Not Collective

### Input Parameters

| mengine | - the MATLAB engine
| string | - format as in a printf()

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineGet(),
PetscMatlabEngineCreate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGetArray(), PetscMatlabEngine

Level:advanced
Location:src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html